//Modified by Markus Lipp 10.06.2004

/*
 * Copyright 1999-2002,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * $Id: DOMTreeErrorReporter.cpp,v 1.14 2004/09/08 13:55:31 peiyongz Exp $
 */

// ---------------------------------------------------------------------------
//  Includes
// ---------------------------------------------------------------------------
#include <xercesc/sax/SAXParseException.hpp>
#include "DOMTreeErrorReporter.hpp"
#if defined(XERCES_NEW_IOSTREAMS)
#include <iostream>
#else
#include <iostream.h>
#endif
#include <stdlib.h>
#include <string.h>
#include <windows.h>
#include <string>



void DOMTreeErrorReporter::warning(const SAXParseException&)
{
    //
    // Ignore all warnings.
    //
}

void DOMTreeErrorReporter::error(const SAXParseException& toCatch)
{
    fSawErrors = true;
  using namespace std;

 
	
   char buffer[20];
   int  i = (int)toCatch.getLineNumber();
   _itoa( i, buffer, 10 );

  string message = string("Error at file \"")+
	  string(XMLString::transcode(toCatch.getSystemId()))+
	  string( "\", line ")+
	  string(buffer)+
	  string( "\n   Message: ")+
	  string(XMLString::transcode(toCatch.getMessage()));
	MessageBox(NULL, message.data(), "ERROR", MB_OK);

}

void DOMTreeErrorReporter::fatalError(const SAXParseException& toCatch)
{
	fSawErrors = true;

	using namespace std;

   char buffer[20];
   int  i = (int)toCatch.getLineNumber();
   _itoa( i, buffer, 10 );

  string message = string("Fatal Error at file \"")+
	  string(XMLString::transcode(toCatch.getSystemId()))+
	  string( "\", line ")+
	  string(buffer)+
	  string( "\n   Message: ")+
	  string(XMLString::transcode(toCatch.getMessage()));
	MessageBox(NULL, message.data(), "ERROR", MB_OK);
}

void DOMTreeErrorReporter::resetErrors()
{
    fSawErrors = false;
}


